import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import Page from '@/layouts/index';
import PowerList from '@/components/PowerList';
import { getTaMessage } from '@/services/tamessage';
import { useModel } from '@/store';
import Card from './components/Card';

const sid1 = Math.random().toString(36).substring(2, 8);
// const sid2 = Math.random().toString(36).substring(2, 8);

export default (props) => {
  const { duty } = useModel('user');
  
  return (
    <Page>
      <PowerList
        sid={sid1}
        request={getTaMessage}
        renderItem={(item) => (
          <Card key={item.msgId} item={item} duty={duty} />
        )}
      />
    </Page>
  )
}
