import Taro from "@tarojs/taro";
import store, { Provider, getState } from "@/store";
import "./app.less";
import { useEffect, useMemo } from "react";
// import wxsdk from "./utils/wx";
import "@antmjs/vantui/lib/index.less";
// import '@antmjs/vantui/lib/index.css'

const App = (props) => {
  const init = () => {
    const userState = store.getState("user");

    userState.login(123);
    userState.current();
  };

  useEffect(() => {
    init();
  }, []);

  return <Provider>{props.children}</Provider>;
};

export default App;
