import React from 'react';
import { Icon } from '@antmjs/vantui';
import icon1 from '@/assets/icons/icon1.png';
import icon2 from '@/assets/icons/icon2.png';
import icon3 from '@/assets/icons/icon3.png';
import icon4 from '@/assets/icons/icon4.png';
import icon5 from '@/assets/icons/icon5.png';
import icon6 from '@/assets/icons/icon6.png';
import icon7 from '@/assets/icons/icon7.png';
import icon8 from '@/assets/icons/icon8.png';
import icon9 from '@/assets/icons/icon9.png';
import icon10 from '@/assets/icons/icon10.png';
import icon11 from '@/assets/icons/icon11.png';
import icon12 from '@/assets/icons/icon12.png';
import person from '@/assets/icons/peopleicon.png';

const icons = {
  icon1,
  icon2,
  icon3,
  icon4,
  icon5,
  icon6,
  icon7,
  icon8,
  icon9,
  icon10,
  icon11,
  icon12,
  person,
}

export default (props) => {
  const { className, style, name, info } = props;
  
  return (
    <Icon name={icons[name]} className={className} style={style} info={info} />
  )
}
