import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import Page from '@/layouts/index';
import Head from "./components/Head";
import Form from "./components/Form";
import Bottom from "./components/Bottom";
import './index.less'

export default (props) => {

  const onSuccess = () => {
    Taro.reLaunch({
      url: '/pages/home/index'
    })
  }

  return (
    <Page>
      <View className="login-box">
        <Head />
        <Form onSuccess={onSuccess} />
        {/* H5此无功能 */}
        {/* <Bottom onSuccess={onSuccess} /> */}
      </View>
    </Page>
  )
}
